little bug in debian/control (2.0.8.2-0ubuntu1)

Bug #426436 reported by Matthieu Baerts on 2009-09-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cairo-dock-plug-ins (Ubuntu)
Low
Julien Lavergne

Bug Description

Binary package hint: cairo-dock-plug-ins

Hello,

In the current debian/control 'cairo-dock-plug-ins' depends of 'cairo-dock' but 'cairo-dock' depends also of 'cairo-dock-plug-ins' !

I join a patch made by debdiff.

Brian Murray (brian-murray) wrote :

Thanks for submitting a patch for this bug report. However, it looks like in your changelog you ended up editing the previous changelog entry, but incremented the package version, instead of adding a new entry above the existing one. Would you mind fixing this? Thanks in advance.

Changed in cairo-dock-plug-ins (Ubuntu):
status: New → Incomplete
Matthieu Baerts (matttbe) wrote :

Hi Brian

Sorry but I don't understand what you want.
Yesterday I wanted to post a 'classic' patch (this one in attachment) but Gilir has said to me that a patch with debdiff is easier for MOTU.
It was the first time that I used debdiff and I saw that to create a debdiff we need a new '.dsc' file. And to generate this file I have to incremented the package version.

I'm sorry to don't answer to your question but if I can do another thing in order to resolve this problem, call me ;)

Brian Murray (brian-murray) wrote :

The part I am talking about follows:

diff -u cairo-dock-plug-ins-2.0.8.2/debian/changelog cairo-dock-plug-ins-2.0.8.2/debian/changelog
--- cairo-dock-plug-ins-2.0.8.2/debian/changelog
+++ cairo-dock-plug-ins-2.0.8.2/debian/changelog
@@ -1,9 +1,14 @@
-cairo-dock-plug-ins (2.0.8.2-0ubuntu1) karmic; urgency=low
+cairo-dock-plug-ins (2.0.8.2-0ubuntu2) karmic; urgency=low

+ [ Didier Roche ]
   * New upstream version (Fix licence issues)
   * Modify debian/copyright to comply with licence issue fixes

- -- Didier Roche <email address hidden> Wed, 26 Aug 2009 23:31:05 +0200
+ [ Matthieu Baerts (matttbe) ]
+ * debian/control:
+ - Replaced cairo-dock to cairo-dock-core as dependances
+
+ -- Matthieu Baerts (matttbe) <email address hidden> Tue, 08 Sep 2009 21:06:37 +0200

You've essentially overwritten the changelog enty for 2.0.8.2-0ubuntu1 with your entry. Perhaps you used dch -e instead of dch -i when updating the changlog? I'd expect it to look something like:

diff -u cairo-dock-plug-ins-2.0.8.2/debian/changelog cairo-dock-plug-ins-2.0.8.2/debian/changelog
--- cairo-dock-plug-ins-2.0.8.2/debian/changelog
+++ cairo-dock-plug-ins-2.0.8.2/debian/changelog
@@ -1,9 +1,14 @@
+cairo-dock-plug-ins (2.0.8.2-0ubuntu2) karmic; urgency=low

+ * debian/control:
+ - Replaced cairo-dock to cairo-dock-core as dependancies (LP: #426436)
+
+ -- Matthieu Baerts (matttbe) <email address hidden> Tue, 08 Sep 2009 21:06:37 +0200

Notice that I also included this Launchpad bug number so it will closed automatically when the new package version is uploaded. I hope this clears things up.

Matthieu Baerts (matttbe) wrote :

Thanks for this explanation !

I post a correct debdiff now ! (I hope ;) )

Brian Murray (brian-murray) wrote :

Yes, the debdiff is in the correct format now, thanks!

Julien Lavergne (gilir) on 2009-09-13
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: nobody → Julien Lavergne (gilir)
importance: Undecided → Low
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 2.0.8.2-0ubuntu2

---------------
cairo-dock-plug-ins (2.0.8.2-0ubuntu2) karmic; urgency=low

  * debian/control:
   - Replaced cairo-dock to cairo-dock-core as dependancies (LP: #426436)

 -- Matthieu Baerts (matttbe) <email address hidden> Thu, 10 Sep 2009 16:49:42 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments